iSiloXC(1)

NAME
iSiloXC - Convert text and HTML to iSilo Palm Pilot format

SYNOPSIS
iSiloXC [-h | -?]
iSiloXC -x filename [-o filename] [-a path] [-q] [-v[v]] [-u]

DESCRIPTION
iSiloXC is the command-line tool for creating iSilo documents. It takes as input a conversion list file that specifies the information needed to create a set of documents.

The following options are provided:

-h | -?
    Display the iSiloXC usage help information.

-x filename
    Convert the documents specified in the conversion list file. For the format of this file, see ixl(5) file format.

-o filename
    Specify settings for additional options in the settings file For the format of this file, see ixl(5) file format.

-a path
    Specify the application directory that contains supporting files for iSiloXC. One such supporting file is the html40.css file, which specifies default HTML style settings. If the application directory is not specified or if the application directory does not have this file in its CSS subdirectory, then iSiloXC uses default HTML style settings.

-q  Specify quiet mode. Quiet mode suppresses progress messages during conversion. Note that this option does not suppress error messages and that if you specify -v for verbose, it overrides the quiet option.

-v[v]
    Use -v to specify verbose mode or -vv to specify very verbose mode. During conversion iSiloXC normally only outputs one line for each document in the document list. The line shows the index of the document, the total number of documents in the list, and the title of the document.

    In verbose mode, iSiloXC outputs the major steps of converting a document as it happens and also outputs path of each source file as it is processed.

    In very verbose mode, iSiloXC first outputs the options you have specified on the command line followed by the settings and conversion list. Then during conversion, iSiloXC outputs more detailed progress information.

-u  Update the conversion status information for each document in the list. This information includes the date and time of conversion, the resulting document size, and whether the conversion was successful or not. Note that if you specify this option, iSiloXC must be able to write to the conversion list file.

SEE ALSO
ixl(5)

AUTHORS
ISilo, and iSiloXC are copyright DC & Co. For more information about iSilo, and to download the Palm Pilot reader for iSilo format documents, go to http://www.iSilo.com/.

This manual page was written by Sergey Skvortsov <skv@FreeBSD.org>.